KubeOne(1)

NAME

kubeone-status - Status of the cluster

SYNOPSIS

kubeone status [flags]

DESCRIPTION

Status of the cluster.

This command takes KubeOne manifest which contains information about hosts. It's possible to source information about hosts from Terraform output, using the '--tfjson' flag.

OPTIONS

-h, --help[=false]
    help for status

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE

    kubeone status -m mycluster.yaml -t terraformoutput.json

SEE ALSO

kubeone(1)

HISTORY

15-Sep-2021 Auto generated by spf13/cobra